FlexHub Forum

FlexHub General => Report a bug => Topic started by: Saymon on May 09, 2011, 16:11:48

Title: ERROR: ./core/Hub-Start.lua:130: module 'bit' not found
Post by: Saymon on May 09, 2011, 16:11:48
~/FlexHub$ ./lua ./FlexHub.lua --nogui
INFO: Starting ./FlexHub.lua (pid 5876)
:~/FlexHub$ ERROR: ./core/Hub-Start.lua:130: module 'bit' not found:
   no field package.preload['bit']
   no file './lib/bit.lua'
   no file './lib/bit.so'
   no file './lib/bit.so'
   no file './bit.so'
   no file './lib/bit.dll'
   no file './lib/bit.dylib'
INFO: Stopping ./FlexHub.lua



if ./lua ./FlexHub.lua - all works  ???  :o
Title: Re: ERROR: ./core/Hub-Start.lua:130: module 'bit' not found
Post by: FlipFlopâ„¢ on May 09, 2011, 18:57:24
Note from this post: http://www.flexhub.org/forum/index.php?topic=188.0

Quote
NOTE: Linux --nogui version needs the file: bit.so in the FlexHub lib-folder, available in FlexHub_0.1_1065_linux.tgz if you don't already have it.

Due to some limitations of the !update preparation function, that file wasn't included with !update. So it needs to be placed manually in the lib folder.
Title: Re: ERROR: ./core/Hub-Start.lua:130: module 'bit' not found
Post by: Saymon on May 09, 2011, 22:08:19
ah, ok. Thx Flip